#!/bin/sh

#
# ccase_day.sh - list of tasks to be performed daily
#
# Licensed Materials - Property of IBM and/or HCL
# (C) Copyright IBM Corp. 1991, 2016.  All Rights Reserved.
# (C) Copyright HCL Technologies Ltd. 2016, 2019.  All Rights Reserved.
#
# US Government Users Restricted Rights -
# Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp
#
# Revision history:
# gordon		08/04/93	delete shadower
# gordon		05/15/92	change name of shadower script
# gordon		02/14/92	add shadower
# lwa			12/03/91	add scrubber
# henrik		09/17/91	initial version
#
ATRIA_DIR=${CLEARCASEHOME:-${ATRIAHOME:-/opt/rational/clearcase}}
ATRIA_VAR_DIR="/var/adm/clearcase"

# Run the daily scrubber script
if [ -f $ATRIA_DIR/config/scheduler/tasks/scrubber_day.sh ]
then
	/bin/sh $ATRIA_DIR/config/scheduler/tasks/scrubber_day.sh
fi

# Run the vob backup snapshot perl script.
if [ -f $ATRIA_DIR/config/scheduler/tasks/vob_snapshot.sh ]
then
        /bin/sh $ATRIA_DIR/config/scheduler/tasks/vob_snapshot.sh
fi

# Run the registry data backup snapshot script.
if [ -f $ATRIA_DIR/config/scheduler/tasks/rgy_backup.sh ]
then
	/bin/sh $ATRIA_DIR/config/scheduler/tasks/rgy_backup.sh
fi

# Run any local commands ...
if [ -f $ATRIA_VAR_DIR/scheduler/tasks/ccase_local_day.sh ]
then
	/bin/sh $ATRIA_VAR_DIR/scheduler/tasks/ccase_local_day.sh
fi

exit 0

